---

offen_version: 1.3.4
offen_archive_url: https://github.com/offen/offen/releases/download/v{{ offen_version }}/offen-v{{ offen_version }}.tar.gz
offen_archive_sha256: f0997f8cc57d8f935c6745beaa506526da639ad6c7b691b2bf40f95ba425283c
offen_manage_upgrade: True

offen_root_dir: /opt/offen
offen_user: offen

# DB settings
offen_db_engine: mysql
offen_db_server: "{{ mysql_server | default('localhost') }}"
offen_db_port: 3306
offen_db_user: offen
offen_db_name: offen
# A random one will be created if not defined
# offen_db_pass: S3cr3t.

# Port on which offen will listen
offen_port: 3003
# List of IP/CIDR for which the offen port will be accessible
offen_src_ip: []

offen_smtp_server: localhost
offen_smtp_port: 25
# offen_smtp_user: foo
# offen_smtp_pass: bar
offen_smtp_from: offen-no-reply@{{ ansible_domain }}

# secret used to sign cookies. A random one is created if missing
# offen_secret: p@ssw0rd

# Default lang
offen_locale: fr

# Data retention
offen_retention: 6months
